libpqxx3-dev_4.0.1+dfsg3-8_all.deb


Advertisement

Description

libpqxx3-dev - Transitional dummy package for libpqxx-dev

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpqxx3-dev
Package version 4.0.1+dfsg3
Package release 8
Package architecture all
Package type deb
Installed size 75 B
Download size 2.35 KB
Official Mirror archive.ubuntu.com
This package is a transition dummy package which can be safely removed.
C++ library to enable user programs to communicate with
the PostgreSQL database back-end.

Alternatives

Package Version Architecture Repository
libpqxx3-dev_4.0.1+dfsg3-8_all.deb 4.0.1+dfsg3 all Ubuntu Universe
libpqxx3-dev - - -

Requires

Name Value
libpqxx-dev -

Download

Type URL
Binary Package libpqxx3-dev_4.0.1+dfsg3-8_all.deb
Source Package libpqxx

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpqxx3-dev deb package:
    # sudo apt-get install libpqxx3-dev

Files

Path
/usr/share/doc/libpqxx3-dev/changelog.Debian.gz
/usr/share/doc/libpqxx3-dev/copyright

Changelog

2017-01-15 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0.1+dfsg3-8) unstable; urgency=medium
* Added patch fixing configure.ac to work with stricter sed (Closes: #851022)
* Current work attribution update to d/copyright
2016-10-28 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0.1+dfsg2-7) unstable; urgency=medium
* Added multiarch tag to docs package
* d/control build-deps and deps 1 per line
* Upstream is not providing FTP any more switching d/watch to http
* Debian patch for spelling error caught by lintian
* Adding hardening flags to the d/rules
2016-07-19 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0.1+dfsg1-6) unstable; urgency=medium
[ Marcin Kulisz (kuLa) ]
* Switchin Vcs-* links in d/control to secure version
* Removing repacking, unwanted files removal is +
* Bumping up Standards-Version to 3.9.8
* Switching to default dbgsym generation
* Reproducible builds d/rules adjustment
* New Debian version string due to repack script removal and sizes
difference between (in archive source and new one [27 bytes])
2015-09-12 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0.1+dfsg-5) unstable; urgency=medium
* d/rules fix splitting configure target into arch & indep, big thx to
Bálint Réczey for patch doing it (Closes: #798402)
* fixing auto_build-indep to build documentation
* putting symbols into d/*.symbols file
2015-09-06 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0.1+dfsg-4) unstable; urgency=medium
* Bumping up standars version to 3.9.6
* Conforming with Short Name for License specification in d/copyright
* Fixed source-contains-prebuilt-doxygen-documentation by removing all of
the doxygen generated docs and recreating it at build time
* Changing package name for gcc-5 (Closes: #795866, #797865)
* Fixing d/watch file to use passive ftp
2014-01-19 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0.1+dfsg-3) unstable; urgency=low
* Removing all minified js files, changing debian version into dfsg
(Closes: #729785)
* Adding missing credits in d/copyright
* Removing unsed d/libpqxx-doc.postinst
* Switching autotools-dev to dh-autoreconf (Closes: 735954), thx to Logan
Rosen for the patch
* Closing (LP: #370913)
* Added source.lintian-overrides
* Bumping up standars version to 3.9.5
2013-11-14 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0.1-2) unstable; urgency=low
* Created dummy transition package for libpqxx3-dev
* Removing lintian overrides, not in use anymore
* Dropped the soversion from the -doc and -dbg package too.
2013-10-30 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0.1-1) unstable; urgency=low
* New upstream
- Improvements for clang compilation
- Fixes for BSD compilation
- Compatibility for OS X
- Bug fixes
* Added python as a build dep for autogenerating configs (regarding upstream
changes)
* Added lintian override for symlink in libpqxx-4.0 package for libpqxx.so ->
libpqxx-4.0.so
* Fixing autotools bug (Closes: #727432)
* Added build dep on autotools-dev
* Fixed vcs urls
* Standards-version bump to 3.9.4
2012-06-14 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0-2) unstable; urgency=low
* Upload to unstable
* Added README.source describing workflaw for working with this package
2012-05-10 - Marcin Kulisz (kuLa) <debian@kulisz.net>
libpqxx (4.0-1) experimental; urgency=low
[ Marcin Kulisz]
* New upstream, slightly changed API
* d/control:
- renaming packages to libpqxx-4.0 and libpqxx4 (changed ABI)
* removing useless quilt patches
* d/copyright bump to DEP5
* Closing (LP: 842873)
* Implementing propper URL for Copyright format 1.0 (DEP-5)
* Closing (Closes: #672021) as not applicable for v4.0
* Standards version bump to 3.9.3
[ Matthijs Möhlmann ]
* Debhelper level 9, adjust the control file.
* Fix the install files and update to multiarch.

See Also

Package Description
libpracticalxml-java_1.1.19-1_all.deb practical XML handling routines
libpragmatic-perl_1.7-2_all.deb Adds pragmata to Exporter
libpreferencepanes-dev_1.2.0-2build3_i386.deb GNUstep preferences library - development files
libpreferencepanes1_1.2.0-2build3_i386.deb GNUstep preferences library - runtime library
libprefork-perl_1.04-2_all.deb Module loading for forking or non-forking processes in Perl
libprelude-dev_4.1.0-4_i386.deb Security Information and Events Management system [ Development files ]
libprelude-doc_4.1.0-4_all.deb Security Information and Events Management system [ Documentation ]
libprelude-lua_4.1.0-4_i386.deb Security Information and Events Management system [ Lua bindings ]
libprelude-perl_4.1.0-4_i386.deb Security Information and Events Management system [ Perl bindings ]
libprelude23_4.1.0-4_i386.deb Security Information and Events Management system [ Base library ]
libpreludecpp8_4.1.0-4_i386.deb Security Information and Events Management system [ C++ library ]
libpreludedb-dev_4.1.0-1_i386.deb Security Information and Events Management System [ Development files ]
libpreludedb-doc_4.1.0-1_all.deb Security Information and Events Management System [ Documentation ]
libpreludedb7-mysql_4.1.0-1_i386.deb Security Information and Events Management System [ MySQL library ]
libpreludedb7-pgsql_4.1.0-1_i386.deb Security Information and Events Management System [ PGSQL library ]
Advertisement
Advertisement